Bug 1462774 - VM provision via restapi fail, if the chosen data store name exist more than once in CFME.
VM provision via restapi fail, if the chosen data store name exist more than ...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.7.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.8.1
Assigned To: Moti Asayag
Ilanit Stein
rhev
: ZStream
: 1469458 (view as bug list)
Depends On: 1427498
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 09:55 EDT by Satoe Imaishi
Modified: 2017-08-02 13:32 EDT (History)
8 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1427498
Environment:
Last Closed: 2017-08-02 13:32:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github ManageIQ/manageiq-providers-ovirt/pull/37 None None None 2017-06-19 09:55 EDT

  None (edit)
Comment 2 CFME Bot 2017-06-19 10:01:16 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/44b7dfe9631e4a72a3234da5ce858e4266ab72bb

commit 44b7dfe9631e4a72a3234da5ce858e4266ab72bb
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Jun 8 10:51:54 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jun 19 09:56:33 2017 -0400

    Merge pull request #15245 from masayag/find_datastore_within_provider
    
    Select datastore by its association with the provider
    (cherry picked from commit ec5d10654285cab2f2e5461d098330cee0333048)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1462774

 .../vm_or_template/operations/configuration.rb     |  6 ++-
 .../operations/configuration_spec.rb               | 59 ++++++++++++++++++++++
 2 files changed, 63 insertions(+), 2 deletions(-)
 create mode 100644 spec/models/vm_or_template/operations/configuration_spec.rb
Comment 3 CFME Bot 2017-06-19 10:01:22 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/00c49e93992c657a718fc95477281383a53227ab

commit 00c49e93992c657a718fc95477281383a53227ab
Author:     Oved Ourfali <oourfali@redhat.com>
AuthorDate: Sun Jun 11 10:41:56 2017 +0300
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jun 19 09:58:09 2017 -0400

    Merge pull request #42 from masayag/find_datastore_within_provider
    
    Select datastore by its association with the provider
    (cherry picked from commit 4364a3916f2a7a6be643645b640a7bd129b9ef8e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1462774

 .../redhat/infra_manager/provision/disk.rb         | 27 ++++++++++-----
 .../redhat/infra_manager/provision/disk_spec.rb    | 38 ++++++++++++++++++++++
 .../infra_manager/provision/state_machine_spec.rb  | 11 ++++++-
 3 files changed, 67 insertions(+), 9 deletions(-)
Comment 4 Ilanit Stein 2017-07-02 05:52:39 EDT
Verified on CFME-5.8.1/RHV-4.1.3:

VM provisioned via REST api 2 VMs, each on a different RHV, 
using same datastore name, (both RHV envs have datastore with same name)

both VM provision requests ended successfully.
Comment 5 Oved Ourfali 2017-07-11 09:21:36 EDT
*** Bug 1469458 has been marked as a duplicate of this bug. ***
Comment 7 errata-xmlrpc 2017-08-02 13:32:21 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.